# -*- encoding: utf-8 -*-
$LOAD_PATH.push File.expand_path('../lib', __FILE__)
require 'quandl/utility/version'

Gem::Specification.new do |s|
  s.name        = 'quandl_utility'
  s.version     = Quandl::Utility::VERSION
  s.authors     = ['Blake Hilscher', 'Jason Byck', 'Najwa Azer']
  s.email       = ['dev@quandl.com']
  s.homepage    = 'https://www.quandl.com'
  s.license     = 'MIT'
  s.summary     = 'Utility Tools'
  s.description = 'Tools for making our lives easier.'

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map { |f| File.basename(f) }
  s.require_paths = %w(lib tasks)

  s.add_runtime_dependency 'activesupport', '>= 3.0.0'
  s.add_runtime_dependency 'rake'
  s.add_runtime_dependency 'thor'
  s.add_runtime_dependency 'thor-foodcritic'
  s.add_runtime_dependency 'rubocop'
  s.add_runtime_dependency 'quandl-slack'

  s.add_development_dependency 'rspec', '~> 2.13'
  s.add_development_dependency 'fivemat', '~> 1.2'
  s.add_development_dependency 'pry'
  s.add_development_dependency 'simplecov'
  s.add_development_dependency 'guard'
  s.add_development_dependency 'guard-rspec'
end
